cURL
curl --request POST \ --url https://mcp-bff.gojinko.com/api/v1/flights/refund-check \ --header 'Content-Type: application/json' \ --data ' { "booking_ref": "<string>", "last_name": "<string>", "order_id": "<string>", "provider": "<string>", "ticket_numbers": [ "<string>" ] } '
{ "expires_at": "<string>", "is_automatable": true, "is_refundable": true, "manual_reason": "<string>", "penalty_amount": { "currency": "<string>", "decimal_places": 123, "value": 123 }, "refund_amount": { "currency": "<string>", "decimal_places": 123, "value": 123 }, "support_level": "<string>", "total_paid": { "currency": "<string>", "decimal_places": 123, "value": 123 }, "warnings": [ "<string>" ] }
Check whether a flight booking is eligible for a refund and get the refund amount
Target a specific provider (sabre, travelfusion). When omitted, uses request body provider field.
Refund check request
OK
Show child attributes